// navigation
header {
    position: relative;
    background: $white;
    box-shadow: 0 0 5px 0 rgba($dark, 0.5);
    z-index: 10;

    h3 {
        display: inline-block;
    }

    ul {
        float: right;
        text-align: right;

        li {
            margin-top: 4px;
            margin-left: 6px;
            a {
                display: block;
                padding: 5px;
            }
        }
    }

    @media screen and (max-width: 742px) {
        h3 {
            display: block;
            text-align: center;
        }
        ul {
            float: none;
            text-align: center;
        }
    }
}

// login
#login {
    background: linear-gradient(to right, $primary 0%, $primary 50%, $white 50%, $white 100%);

    @media screen and (max-width: 742px) {
        height: 100vh;
        background: $white;
    }

    .col1,
    .col2 {
        height: 100vh;
        padding-top: 30vh;

        @media screen and (max-width: 742px) {
            height: auto;
            padding-top: 20vh;
        }
    }
    .col1 {
        color: $white;
        @media screen and (max-width: 742px) {
            display: none;
        }

        p {
            max-width: 490px;
            margin-top: 2rem;
            line-height: 1.8;
        }

        a {
            color: $white;
            text-decoration: underline;
        }
    }
    .signup-form {
        padding-top: 20vh;

        @media screen and (max-width: 742px) {
            padding-top: 10vh;
        }
    }
    .col2 {
        h1 {
            margin-bottom: 2rem;
        }
        form {
            max-width: 450px;
            margin: 0 auto;
        }
        .extras {
            float: right;
            text-align: right;
            a {
                display: block;
                margin-bottom: 0.5rem;
            }
        }

        .password-reset {
            h1 {
                margin-bottom: 1rem;
            }
            p {
                margin-bottom: 2rem;
            }
        }
    }
}

// dashboard
#dashboard {
    section {
        padding: 2rem 0;
    }

    .col1 {
        flex: 0 0 30%;
        @media screen and (max-width: 1000px) {
    		flex: 0 0 40%;
    	}
    }
    .profile {
        background: $white;
        padding: 2rem;

        h5 {

        }

        p {
            color: $medium;
            margin-bottom: 1rem;
        }
    }
    
    .no-results {
        border: 1px solid #e6ecf0;
        background: $white;
        text-align: center;
        padding: 100px 1rem;
    }
}

// settings
#settings {
    padding: 2rem 0;

    .col1 {
        max-width: 600px;
        margin: 5vh auto 0;
        background: $white;
        padding: 2rem;
    }

    form {
        margin-top: 3rem;
    }

    .success {
        color: $success;
        margin: 0.5rem 0 -2rem;
    }

    .button {
        margin-top: 2rem;
    }
}